Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365086 - cppcheck-1.75 is available
Summary: cppcheck-1.75 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cppcheck
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 12:22 UTC by Upstream Release Monitoring
Modified: 2016-09-02 23:29 UTC (History)
2 users (show)

Fixed In Version: cppcheck-1.75-1.el7 cppcheck-1.75-1.fc24 cppcheck-1.75-1.fc23 cppcheck-1.75-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 15:47:50 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-08-08 12:23 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-08-08 12:22:30 UTC
Latest upstream release: 1.75
Current version/release in rawhide: 1.74-2.fc26
URL: http://sourceforge.net/projects/cppcheck

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/357/

Comment 1 Upstream Release Monitoring 2016-08-08 12:23:46 UTC
Patching or scratch build for cppcheck-1.74 failed.

Comment 2 Upstream Release Monitoring 2016-08-08 12:23:47 UTC
Created attachment 1188701 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-08-08 12:23:49 UTC
Following patches has been deleted:
['cppcheck-1.73-translations.patch']

Comment 4 Upstream Release Monitoring 2016-08-08 12:23:50 UTC
Following patches has been unapplied:
['cppcheck-1.73-tinyxml.patch']

Comment 5 Upstream Release Monitoring 2016-08-09 07:18:19 UTC
jussilehtola's cppcheck-1.75-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=789794

Comment 6 Fedora Update System 2016-08-10 19:34:03 UTC
cppcheck-1.75-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-17064adccd

Comment 7 Fedora Update System 2016-08-10 19:34:14 UTC
cppcheck-1.75-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9bebb46bd1

Comment 8 Fedora Update System 2016-08-10 19:34:22 UTC
cppcheck-1.75-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eddd737af7

Comment 9 Fedora Update System 2016-08-10 19:34:29 UTC
cppcheck-1.75-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-096a96d814

Comment 10 Fedora Update System 2016-08-11 16:56:54 UTC
cppcheck-1.75-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-096a96d814

Comment 11 Fedora Update System 2016-08-12 02:55:29 UTC
cppcheck-1.75-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eddd737af7

Comment 12 Fedora Update System 2016-08-12 03:03:20 UTC
cppcheck-1.75-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-17064adccd

Comment 13 Fedora Update System 2016-08-12 03:52:12 UTC
cppcheck-1.75-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9bebb46bd1

Comment 14 Fedora Update System 2016-08-27 15:47:45 UTC
cppcheck-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-02 20:54:17 UTC
cppcheck-1.75-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-09-02 23:21:39 UTC
cppcheck-1.75-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-09-02 23:29:49 UTC
cppcheck-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.